aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile4
-rwxr-xr-xgen-pubcert.sh18
2 files changed, 19 insertions, 3 deletions
diff --git a/Makefile b/Makefile
index a590138..344d407 100644
--- a/Makefile
+++ b/Makefile
@@ -79,9 +79,7 @@ $(REGDB_PUBKEY): $(REGDB_PRIVKEY)
$(REGDB_PUBCERT): $(REGDB_PRIVKEY)
@echo "Generating certificate for $(REGDB_AUTHOR)..."
- @openssl req -config regulatory.openssl.conf \
- -key $(REGDB_PRIVKEY) -days 36500 -utf8 -nodes -batch \
- -x509 -outform PEM -out $(REGDB_PUBCERT)
+ ./gen-pubcert.sh $(REGDB_PRIVKEY) $(REGDB_PUBCERT)
@echo $(REGDB_PUBKEY) > .custom
diff --git a/gen-pubcert.sh b/gen-pubcert.sh
new file mode 100755
index 0000000..1a4d579
--- /dev/null
+++ b/gen-pubcert.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [[ $# -ne 2 ]]; then
+ echo "Usage: $0 priv-key out-file"
+ exit 1
+fi
+
+openssl req -new -key "$1" -days 36500 -utf8 -nodes -batch \
+ -x509 -outform PEM -out "$2" \
+ -config <(cat <<-EOF
+ [ req ]
+ distinguished_name = req_distinguished_name
+ string_mask = utf8only
+ prompt = no
+ [ req_distinguished_name ]
+ commonName = sforshee
+ EOF
+ )